> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portalhq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a sub-custodian API key

> Deletes an environment-scoped Portal API key for a sub-custodian owned by the authenticated reseller.



## OpenAPI

````yaml /openapi/reseller-api.yaml delete /resellers/custodians/{custodianId}/environments/{environmentId}/api-keys/{apiKeyId}
openapi: 3.1.0
info:
  title: Portal Reseller API
  version: '3.0'
  description: >
    The Portal Reseller API lets approved reseller custodians create and manage

    sub-custodians. Reseller API keys are environment-agnostic and authenticate

    the reseller custodian. Sub-custodian Portal API keys created through this
    API

    are scoped to a specific sub-custodian environment.


    ## Base URL

    `https://api.portalhq.io/api/v3`


    ## Authentication

    Include your Reseller API key as a Bearer token in the `Authorization`
    header

    of every request.
servers:
  - url: https://api.portalhq.io/api/v3
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Sub-Custodians
    description: Create, list, and suspend sub-custodians
  - name: Sub-Custodian Environments
    description: View environments for sub-custodians
  - name: Sub-Custodian API Keys
    description: Create and delete sub-custodian Portal API keys
paths:
  /resellers/custodians/{custodianId}/environments/{environmentId}/api-keys/{apiKeyId}:
    delete:
      tags:
        - Sub-Custodian API Keys
      summary: Delete a sub-custodian API key
      description: >-
        Deletes an environment-scoped Portal API key for a sub-custodian owned
        by the authenticated reseller.
      operationId: deleteSubCustodianApiKey
      parameters:
        - $ref: '#/components/parameters/custodianId'
        - $ref: '#/components/parameters/environmentId'
        - $ref: '#/components/parameters/apiKeyId'
      responses:
        '204':
          description: Sub-custodian API key deleted successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    custodianId:
      name: custodianId
      in: path
      required: true
      description: The ID of a sub-custodian owned by the authenticated reseller.
      schema:
        type: string
    environmentId:
      name: environmentId
      in: path
      required: true
      description: The ID of an environment that belongs to the sub-custodian.
      schema:
        type: string
    apiKeyId:
      name: apiKeyId
      in: path
      required: true
      description: The ID of a sub-custodian Portal API key.
      schema:
        type: string
  responses:
    Unauthorized:
      description: Unauthorized - invalid or missing Reseller API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: >-
        Forbidden - the authenticated custodian is not allowed to perform this
        action
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Reseller API Key
      description: Reseller API key created in the Portal dashboard.

````